// FB Alpha v0.2.97.29 --- Config File for sfiii (Street Fighter III: New Generation (USA 970204))

// --- Miscellaneous ----------------------------------------------------------

version 0x029729

analog  0x0100
cpu     0x0100



// --- Inputs -----------------------------------------------------------------

input  "P1 Coin"          switch 0x06
input  "P1 Start"         switch 0x02
input  "P1 Up"            switch 0xC8
input  "P1 Down"          switch 0xD0
input  "P1 Left"          switch 0xCB
input  "P1 Right"         switch 0xCD
input  "P1 Weak Punch"    switch 0x1E
input  "P1 Medium Punch"  switch 0x1F
input  "P1 Strong Punch"  switch 0x20
input  "P1 Weak Kick"     switch 0x2C
input  "P1 Medium Kick"   switch 0x2D
input  "P1 Strong Kick"   switch 0x2E
input  "P2 Coin"          switch 0x07
input  "P2 Start"         switch 0x03
input  "P2 Up"            switch 0x4002
input  "P2 Down"          switch 0x4003
input  "P2 Left"          switch 0x4000
input  "P2 Right"         switch 0x4001
input  "P2 Weak Punch"    switch 0x4080
input  "P2 Medium Punch"  switch 0x4081
input  "P2 Strong Punch"  switch 0x4082
input  "P2 Weak Kick"     switch 0x4083
input  "P2 Medium Kick"   switch 0x4084
input  "P2 Strong Kick"   switch 0x4085
input  "Reset"            switch 0x3D
input  "Diagnostic"       switch 0x3C
input  "Service"          switch 0x0A
input  "Region"           constant 0x04

macro  "P1 3?Punch"      switch 0x21
macro  "P1 3?Kick"       switch 0x2F
macro  "P2 3?Punch"      undefined
macro  "P2 3?Kick"       undefined
